package cd.casic.module.execute.docker.dataobject.convert;

import cd.casic.module.execute.docker.dao.DockerEndpointDao;
import cd.casic.module.execute.docker.dataobject.dto.DockerEndpointDo;
import cd.casic.module.execute.docker.dataobject.model.DockerEndpoint;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/26 10:36
 * @version: 1.0
 */
@Mapper
public interface DockerEndpointConvert {
    DockerEndpointConvert INSTANCE = Mappers.getMapper(DockerEndpointConvert.class);

    DockerEndpointDo convert(DockerEndpointDao endpointDao);

    DockerEndpoint convert(DockerEndpointDo endpointDo);

    List<DockerEndpoint> convertList(List<DockerEndpointDo> endpointDos);

    List<DockerEndpointDo> convertList02(List<DockerEndpoint> endpointDos);
}
